commit:     b17ae1ff30d399b98b9475d54b9c0edb72831f68
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 12 18:09:23 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Apr 12 19:43:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b17ae1ff

dev-python/os-traits: 0.11.0 bump

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/Manifest                |  1 +
 dev-python/os-traits/os-traits-0.11.0.ebuild | 29 ++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index 97588fc677c..5bfe6cc0542 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1 +1,2 @@
+DIST os-traits-0.11.0.tar.gz 20362 BLAKE2B 
843c1a874dc5e7ee5066263a7dfd9491157c692a5489e53f9467d85589ce25570995cb25715409a49d81400a39bbf4c5ba0e616706e7462c4497f3613dd95599
 SHA512 
570fdc23ab3ae1920cbe0520bf2c007bd10c8372d83bb129993324a9a6de4462a9b5a86b816295dde9039f55cb8f125cb38653b4bfdb29630577327ec47c7d0c
 DIST os-traits-0.5.0.tar.gz 15775 BLAKE2B 
288db72d500a3187a8520b9674982f3233f8644a537ec04971453ece394344b7310cbf133785dfee7122e1aeadebee7fd91d18f57a6ccecf0f176fd569b2bfae
 SHA512 
2dd9019b13fc3394bf97fa9ff6c82d02d26dc6ca8ba8b32e619e9f88a9fdee0d3082e3818ca6a51eea9eb45997dfb48eee6976190b27dff6ab5b892747ce2a54

diff --git a/dev-python/os-traits/os-traits-0.11.0.ebuild 
b/dev-python/os-traits/os-traits-0.11.0.ebuild
new file mode 100644
index 00000000000..241c349fd06
--- /dev/null
+++ b/dev-python/os-traits/os-traits-0.11.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="os-traits is a library containing standardized trait strings."
+HOMEPAGE="https://github.com/openstack/os-traits";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}

Reply via email to